Welcome

Welcome to FileNet Print Configuration

Welcome: Welcome Documentation

Welcome to FileNet Print, print server software that provides printing services for networked PC workstations to print FileNet images and text documents. FileNet Print uses Windows Networking software to connect to the FileNet system and support network printing from remote PC workstations.

FileNet Print runs as a Windows Service. Use the Print Service Control dialog box to start and stop the Print Service, to display and hide Print Administrator, and to access Print Configuration. Use Print Configuration to create and change print queues, and Print Administrator to monitor print server activity. Use the Printer Wizard to install PPD files for open printers. Use Fax Manager to monitor fax server activity.

Note

When the Print Service is running, you cannot open Print Configuration. To make configuration changes, you must stop the Print Service.

Multiple Printer Support

FileNet Print can support multiple printers. Overall system performance is determined by several factors, including:

  • PC processor speed

  • printer type and number of printers

  • printer memory

  • average print volume

  • document type

Throughput depends on various factors such as the number of print requests submitted and the type of documents being printed. For example, FileNet images usually require more processing time than TIFF Group 4 images.

Multiple Image System Server Support

FileNet Print can support multiple Image Services servers. A single print server can be configured to receive print jobs from more than one IS server, which can be useful if the primary image server fails.

Each image server must be configured to recognize the print server. One image server must be configured as the Default IS. FileNet Print automatically logs onto the Default IS server when the Print Service starts.

Outbound Fax Support

If you have purchased and installed the optional FileNet Outbound Fax package, you can configure one or more fax queues on your print server. Fax queues work in much the same way as print queues, except that jobs are sent to a fax server for processing to a destination fax machine, rather than to a printer.


What's New in Release 4.4

Welcome: Welcome Documentation

The latest release of FileNet Print includes the following features:

  • Outbound Fax support is included in Print 4.4.

  • FileNet Print now supports multiple outbound fax servers on a single FileNet Print server.

  • Print now supports the Windows 2003 (.NET) Server platform.

  • Font support is now configurable for each print queue.

  • Print now renders multi-page TIFF files.

  • Print now provides a toolkit to allow end users to implement a converter to enable printing PDF documents.


Welcome to the Print Configuration Online Help

Welcome to the FileNet Print Configuration Online Help

Welcome: Welcome Documentation

This Help system describes the operations performed using Print Configuration. You can find information in the following ways:

  • Click on the Contents tab to select a topic from the table of contents. The table of contents displays all topics in outline form.

  • Click on the Index tab to list topics associated with a keyword. You can enter a keyword or select one from a supplied list.

  • Click on the Search tab to list topics containing any word or phrase. The first search will prompt you to minimize or maximize the size of the database.

If any of these features is not working correctly, this Help file has been corrupted and must be reinstalled. Use the "Repair" option in the FileNet Print Installation program.


About Documentation

Welcome: Welcome Documentation

Print Configuration documentation includes the following:

  • Print Configuration Help (the Help you are reading now) provides orientation and conceptual information along with step-by-step procedures for creating and maintaining print queues.

  • FileNet Print Installation Guide provides a list of system and hardware requirements and compatibility considerations for Print configurations. Describes how to install the Print and configure the printers, and provides instructions for testing the installation.

  • Release Notes on the software media for late-breaking information and known problems.

How to use Help

Print Configuration Help is a Windows Help system. For general information on how to use Help, see the topic "Using Help" in the Help for Microsoft Windows. As with any Help system, you can find information by choosing a topic from the Contents, by using the index, or by searching. While Help systems are not designed for reading front-to-back like books, the topics are arranged to print in a logical order.

Print Configuration Help is organized into books. Typically, a book consists of topics related to a central subject, such as Configuring FileNet Print.

Print Configuration also includes context-sensitive Help for all dialog boxes in the system. To display Help for one of the dialog boxes, press the Help button at the lower right corner of the dialog box, or press F1.


Notices

Welcome: Welcome Documentation

This document contains information proprietary to FileNet Corporation (FileNet). Due to continuing product development, product specifications and capabilities are subject to change without notice. You may not disclose or use any proprietary information or reproduce or transmit any part of this document in any form or by any means, electronic or mechanical, for any purpose, without written permission from FileNet.

FileNet has made every effort to keep the information in this document current and accurate as of the date of publication or revision. However, FileNet does not guarantee or imply that this document is error free or accurate with regard to any particular specification. In no event will FileNet be liable for direct, indirect, special incidental, or consequential damages resulting from any defect in the documentation, even if advised of the possibility of such damages. No FileNet agent, dealer, or employee is authorized to make any modification, extension, or addition to the above statements.

FileNet may have patents, patent applications, trademarks, copyrights, or other intellectual property rights covering subject matter in this document. Furnishing this document does not provide any license to these patents, trademarks, copyrights, or other intellectual property.

Copyright ©1997-2004 FileNet Corporation. All rights reserved.

Portions of this product use fonts licensed from Bitstream Inc.

Portions of this product Copyright Microsoft Corporation, 1997-2002

Captaris and RightFax are trademarks of Captaris, Inc.

Rev: GA 4.4


Other sources of information

Welcome: Welcome Documentation

Help is the primary source of information on Print Administrator. You may find the following sources useful as well:

  • For additional information on the installation and use of FileNet Print, refer to the Print Installation Guide provided on the distribution media.

  • Updated Release Notes and performance recommendations are also available on the FileNet Documentation web site at www.filenet.com.

  • FileNet provides various forms of instruction. Please visit the Global Learning Services in FileNet’s Services & Support area at www.filenet.com.

  • If you have technical questions, direct them to your local system consultant or technical consultant.

  • If you have a system integrity problem, report it to FileNet Customer Service and Support as specified in your maintenance contract.

  • You are invited to join UserNet, FileNet’s global user group. FileNet hosts an annual UserNet conference where you can meet with other users and FileNet management. For UserNet members, FileNet provides both a dedicated FileNet Web site and a quarterly newsletter.

  • For integration, programming development, project management, or other technical challenges, contact FileNet Professional Services.

.


Overview of Print

Overview of FileNet Print

FileNet Print can print requests for FileNet images and documents from PC workstations running a FileNet Print application. The PC workstations must be on an Ethernet or Token Ring LAN and must run the TCP/IP protocol.

You can print the following FileNet document types from IDM Desktop:

  • FileNet objects, such as COLD documents without templates (including COLD II compressed pages) and forms created by AutoForm

  • FileNet objects with Embedded FileNet banded or tiled images, such as COLD documents with templates

  • FileNet banded CCITT Group 3 and 4 images

  • FileNet tiled CCITT Group 3 and 4 images

  • PC forms generated by the AutoForm application

  • TIFF tiled images (CCITT Group 3 and 4)

  • TIFF images (CCITT Groups 3 and 4)

  • COLD documents with TIFF Type 3 and 4 background templates

  • COLD documents in Landscape orientation

  • JPEG files

Note

Currently, FileNet Print supports COLD II background templates at either 200 or 400 dpi. 100 and 300 dpi background templates are not supported.


Define the Default Image Services Server

Your print server will automatically log on to the IS server selected as the default IS server each time the Print Administrator program starts.

Note

If the default IS server is not available, the Print Service will not be able to start.

To specify the default IS server, enter the IS server name in the list box in the Image Services Selection section of the FileNet Print Configuration dialog box. Use the following format:

domain:organization

The organization name defaults to FileNet if you do not specify it. The first IS server name you enter becomes the default IS name automatically, and appears above the list box in the Default IS Name field.

When you enter the IS server name, the print server establishes communication with the IS server and displays the names of the print queues defined for the print server on the IS server in the FileNet Queues to Configure box.

  • If the print server cannot locate the IS server, it displays the TCP Address of IS dialog box. Enter the TCP/IP address of the IS server in the TCP Address of IS field.

  • If no printers have been defined for the print server, the system displays an error message. Contact your IS server administrator to confirm that print queues have been set up for the print server before you continue.

The print server also determines the other IS servers in the same domain as the default IS server, and displays the names of these servers in the drop down list of the IS Selection list box. To display print queues on another IS server, select the server from the list box. To make the server the default server, click the Set as Default IS button.


Configure Fonts and Character Sets

If you want to change the default character set and font in which text files and annotations will print, specify font locations, or control other font-related properties, click the Fonts... button on the FileNet Print Configuration dialog box. The system displays the Fonts and Character Sets dialog box.

Changing the Default Character Set

Print uses the default character set to print text documents that do not specify a character set. To change the default character set, select the character set you want to use from the drop down list. For a description of the available character sets, see Default Character Sets.

To use the default character set for all documents, click the Always Use Default Character Set check box so that a check mark appears.

Installing International Fonts

If you have Kanji fonts installed and Shift-JIS selected in the Default Character Set field, use the Default PCode Font section to configure the international fonts installed on your system.

You can select default, Mincho or Gothic as the default font in the Font Name field. In all other cases, this field is set to default. You can also select the default point size, between 5 and 30, at which text documents will print in the Default Character Set field.

To map a Pcode font to a PostScript font, click the Map Pcode Fonts... button. The system displays the Pcode Font Mappings dialog box.

Downloading PostScript Printer Fonts

Use the PostScript Print Fonts section to download specialized fonts for HP LaserJet and Generic PostScript Level 2 printers.

Font Directory

The location of the PostScript fonts listed in the Fonts to Download and Additional Fonts list boxes. The default location is \FNSW_LOC\fonts.

Fonts to Download

This list box displays the fonts available to be downloaded from the font directory. To remove fonts from this list, select the font you want to remove and click Remove. The font moves to the Additional Fonts list. To add fonts to this list, from the Additional Fonts list, select the font you want to add and click Add.

Additional Fonts

This list box displays fonts in the font directory that are not currently selected for downloading. To make a font available for download, select the font and click Add. The font moves to the Fonts to Download list.

To install additional fonts in the font directory, click the Install Fonts... button. The system displays the Install PostScript Fonts dialog box. Select the folder containing the fonts you want to install, and the fonts in the folder display in the List of Fonts list box. To install a font, select the font and click Add. The font moves to the Installed Fonts list box.

Note

You can install only one font at a time.

To remove a font, select the font in the Installed Fonts list and click Remove. When you have finished installing fonts, click Done to return to the Fonts and Character Sets dialog box.

Mapped Fonts

This list box displays the list of printer fonts that have been mapped to screen fonts.

To map a PostScript printer font to a TrueType screen font, click the PS Font Mappings button. The system displays the PostScript Font Mapping dialog box.

Click OK to save your settings and return to the previous dialog box. Click Cancel to return to the previous dialog box without saving your settings.


Configure General Options

To define file locations, time formats and other system options, select the Options... button from the FileNet Print Configuration dialog box. Settings in this dialog box will apply to all print queues.

Setting File Locations

This section configures the location of important Print files. Two of these locations, for the Executable File Root Directory and the Data File Root Directory, are designated during installation cannot be changed.

The Primary Cache field determines where Print stores documents it has retrieved, and the Temporary Files field determines where temporary, printer-ready files generated while processing a print request are stored . Both field default to

<Data File Root Directory>\tmp

If you change this location, FileNet recommends locating the primary cache directory and the temporary files directory on the same drive. For best performance results, use the print server's fastest drive.

Setting FileNet Queue Length

In the Maximum Allowed Pages Per FileNet Queue field, select the number of pages, between 1 and 20, that each queue will be able to hold. This is also the maximum number of documents Print can pre-fetch from the FileNet system. When the queue reaches this number, Print ceases retrieval until there is room in the queue.

Note

This value must match the Maximum Number of Pages Queued parameter in Image Services. If the IS value is greater, you may encounter performance problems. See the FileNet Print Installation Guide for more information.

Configuring the Date/Time Format

In the Date/Time Format field, select the format Print will use to print the date and time on a Request Header page.

Note

Local time is based on the print server computer time.

Enabling Verbose Mode on Startup

Click the Verbose Mode on Startup check box to display Verbose messages in the PSM Listener and all Queue windows whenever Print Administrator is displayed. Verbose Mode displays greater detailed versions of standard messages, including diagnostic information that FileNet Customer Service and Support can use for problem analysis. Generally, you should use Verbose Mode only when troubleshooting a problem, as it increases I/O activity on the print server and impacts system performance.

Note

This setting cannot be disabled by disabling Verbose Mode in Print Administrator. You must change this field in Print Configuration.

Enabling Image Checksum

Click the Verify Image Checksum check box to checksum image documents after retrieval, in order to detect corrupted images before attempting to print them. When this field is enabled, Print compares the image checksum generated at print time to the checksum generated when the image entered the FileNet system. If the checksums don't match, Print logs the error and attempts to print the image.

This feature affects system performance, depending on the number of printers supported and the speed of the print server.

Suppress Annotations

Click the Suppress Annotations check box to suppress printing of all IDM Desktop annotations (including margin notes, highlights and icons) on image pages. Annotation text will print on the following page.

Enable Margin Notes and Highlights

This option is automatically enabled and cannot be changed. The Suppress Annotations option controls whether margin notes and highlights print on image pages.

Configuring the Delimiter for User Keys in Fax Message Text

In IDM Desktop, you can define a user key to record the user id of inbound and outbound fax requests in the journal log. The user key must be separated from fax headline message data by a delimiter. The Delimiter for User-Defined Keys in Message Text field defaults to the % character, but if you cannot use it, enter another printable keyboard character in this field.

Click the Advanced.... button to display the General Advanced Options dialog box. Use this dialog box to configure advanced options for print queues. When you click the Advanced button on the Print Configuration dialog box, this dialog box is labeled General Advanced Options, and the fields displayed will apply to all print queues. When you select a queue to configure, then click the Advanced button on the Queue Options dialog box, this dialog displays the queue name, and the fields displayed will apply to the selected queue only.

Scale All COLD Documents by this Percentage

If a COLD background template is not located with the document, scaling may be necessary to fit the image on the page. Select a percentage between 25 and 200 by which to scale COLD and PC Forms documents with no original size scaling. This setting overrides user-requested scaling unless it is set to 100%, and the COLD background template is available.

Note

This setting may affect the alignment of template images. You may have to readjust the setting. For more information, contact FileNet Customer Service & Support.

Always Use Print Request Scaling Value for PC Forms

Click this check box to always use the user-requested scaling value to fit a PC Forms document on a printed page. Typically, Print prints PC forms in their original size. If you request scaling for a given PC form and it doesn't print in the correct size, you may need to use this option.

Note

This setting overrides the Scale all COLD Documents by this Percentage setting for PC Forms.

Use Display Transform Parameter when Rotating FileNet Tiled Images

FileNet tiled image headers may contain a variable indicating the difference between the stored orientation of the image and the orientation in which it should be displayed and printed. For example, images may be scanned in landscape orientation, but displayed and printed in portrait orientation.

Click this check box to use this display transform parameter when printing FileNet tiled images.

Note

It is unnecessary to enable this feature for most printing situations. Rotation may also be specified in the print request and in field below, and these rotations will be applied to the image in addition to the display transform parameter if this check box is enabled.

Rotate All Documents with Additional 180 Degrees

Click this check box to rotate all images 180 degrees before printing. When the image and the paper are in opposite orientations, Print rotates the images +90 degrees rather than the usual -90 degrees.

Note

It is unnecessary to enable this feature for most printing situations. Rotation may also be specified in the print request and in the field above, and these rotations will be applied to the image in addition to the 180 degrees if this check box is enabled.

Printer Status Notification

See Configure Error Message Notification for instructions.

Click OK to save your settings and return to the General Options dialog box. Click OK again to return to the Print Configuration dialog box.


Configure Error Message Notification

If the SNMP protocol is installed and configured on the print server, FileNet Print can forward error messages generated by HP LaserJet printers; the printer must be connected to the network via the HP JetDirect interface.

See the FileNet Print Installation Guide for more information.

Message forwarding is suspended while fonts are being downloaded and resumed when the font download is complete. For this reason, you may wish to use message forwarding with a font download method other than Download fonts at the beginning of each job.

To forward printer messages to another workstation, select the Send Status Messages to the Following Network User Names check box in the General Advanced Options dialog box, and enter the user names or IP addresses in the field below it.


Configure Print Queues

Each printer supported by the print server has its own queue. Use this procedure to set printer-specific characteristics for individual print queues.

  1. On the FileNet Print Configuration dialog box, select or enter an IS server in the IS Selection list box. The print queues defined on the selected IS that have not been configured display in the FileNet Queues to Configure box. If any print queues on the selected IS have been configured, they appear in the Current FileNet Queues box.

  2. Select one of the queues from either list. The system displays the associated printer model in the Printer Model list box.

  3. Verify that the printer model is correct. The printer model must be the same as the one selected for the queue in Image Services configuration. Select another printer model if necessary.

  4. Click the Configure button.

  5. If you are configuring a queue for the first time, and an existing queue on the print server has the same printer model, the system displays the New FileNet Queue dialog box. You have the option of importing configuration settings from an existing queue.

The system displays the Printer Configuration dialog box. Some fields on the dialog box will vary, depending on the type of printer queue you selected.

  5. If necessary, change the Printer Connectivity.

  6. In the Image Data Encoding section, select the format in which to send PostScript jobs to the printer. Raw Binary has the fastest transmission time., but is not available for TCP Direct Port connectivity. ASCII 85 generates less data and improves performance. ASCII Hex simplifies editing and copying of temporary files if you have enabled the Retain Files function in Print Administrator. ASCII Hex takes longer than Raw Binary or ASCII 85 transmissions, so is recommended only for troubleshooting.

  7. To determine when fonts will be automatically sent to the printer, select one of the options from the Automatically Download Fonts list.

    • Never: fonts are never automatically loaded. You must manually download fonts if necessary.

    • Initialization Only: fonts in the Fonts to Download list box are downloaded when Print Administrator starts and initializes each queue configured on the print server.

    • Beginning of Each Job: fonts are automatically loaded at the beginning of each job if necessary. Printer performance will be affected. This option is useful if you are seeing undefined font errors and you are doing low volume printing, but is not recommended for general/high usage systems.

  8. In the Wait Timeout field, enter or select the number of seconds, between 0 and 1800, for the PostScript interpreter to wait for input once a job has started. The default is 0, which allows the interpreter to wait indefinitely without timeout. Verbose Mode, Logging, very large or dense images can cause long periods of time between the beginning of PostScript jobs and subsequent input. You may need to adjust the timeout interval to prevent excessive timeout errors.

  9. Clear the Send "Exitserver" Commands check box unless the queue connects to a Xerox printer (DP65) that generates errors when trying to access the printers via the "exitserver" command. See Printer Configuration for more information.

  10. Select the Center Image on Print check box to center each image on the page. Clear the check box to start printing each image in the upper left corner of the page.

  11. To correct bad scan lines, select the Preprocess Images check box to preprocess FileNet and TIFF images.

  12. Select the Split Images check box to split images over multiple pages if they are excessively long.

Note

Do not use Best Available paper size with the Split Images option. Text will be distorted.

To configure paper and paper tray options, click the Media... button to display the Paper Media dialog box.

To configure queue options, click the Options... button to display the Queue Options dialog box.

Click OK to save your settings and return to the Print Configuration dialog box.


Configure Paper Media Options

Media options determine which paper tray to use, and in the case of multiple paper trays, the order in which to use them.

Note

For some printers, FileNet Print can only provide limited support for the paper tray options. In these cases, Print will not send any specific tray selection instructions to the printer, and only the default paper tray will be used.

  1. Click the Media... button on the Printer Configuration dialog box to display the Paper Media dialog box.

  2. For each paper tray you want to use, click the corresponding check box to enable it. Select the priority and the correct paper size for each tray. For more information, see Paper Media.

  3. Select the tray to use when a print request specifies Default paper in the FileNet Job Default Tray field.

  4. Scanned images often contain extra pixels in width and length that do not record any part of the image; these are called overscan. When a print request specifies Best Available paper size, overscan pixels may cause Print to select a larger paper size than necessary. In the Best Available Overscan field, select the likely percentage, between 0 and 10%, of overscan amount to avoid selecting the wrong paper size. You need not change the default value unless the printer produces undesirable results using the Best Available paper size.

  5. Click OK to save your settings and return to the Printer Configuration dialog box.


Configure Queue Options

Queue options determine the available job destination and other printing options.

  1. Click the Options... button on the Printer Configuration dialog box to display the Queue Options dialog box.

  2. Select the destination for the temporary printer-ready files generated as FileNet Print processes a print or fax request in the Print/Fax Destination section. Printer/Fax Only sends the files only to the printer or fax. After the job is processed, the files are deleted from the hard disk. Disk Only saves the files on the print server's hard disk in the temporary files directory, without printing the associated images. This is useful for troubleshooting purposes. Do not use this option during normal operation, as it fills up the hard disk very quickly. Printer/Fax and Disk saves the files and print the images. You can also select Retain Files in Print Administrator to set this option. This option also fills up the hard disk very quickly.

  3. If your printer supports duplex printing, select the duplex printing options. See Duplex Printing for more information.

  4. Select the Use Alternate Orientation Mode check box if you want to print in the alternate orientation. See Use Alternate Orientation Mode for more information.

  5. In the Printer/Fax Timeout field, select the number of minutes, between 0 and 60, for Print to wait before aborting a job when the printer or fax has an error. If the value is 0, the system waits indefinitely.

  6. To configure more advanced options, click the Advanced... button to display the Advanced Options dialog box. See Advanced Options for more information.

  7. Click OK to save your settings and return to the Printer Configuration dialog box.

  8. Click OK to save your settings and return to the Print Configuration dialog box.


Configure Fax Queue

Configure Fax Queues

If you have purchased and installed the optional FileNet Outbound Fax package, you can configure one or more fax queues on your print server. Fax queues work in much the same way as print queues, except that jobs are sent to a fax server for processing to a destination fax machine, rather than to a printer..

  1. On the FileNet Print Configuration dialog box, select or enter an IS server in the IS Selection list box. The print/fax queues defined on the selected IS that have not been configured display in the FileNet Queues to Configure box. If any print/fax queues on the selected IS have been configured, they appear in the Current FileNet Queues box.

  2. Select a fax queue from either list. Click the Configure button. The system displays the Fax Printer Configuration dialog box.

  3. Enter or select the name of the Network Fax server that will service the FileNet Queue in the Server Name field. This is the computer name assigned to the print server with Outbound Fax installed. You can enter multiple Network Fax server names in this field, which allows you to remap the fax queue to a different Network Fax server if necessary by selecting a different name.

  4. Select the type of third-party fax software installed on the Network Fax server in the Server Type field.

  5. Enter the logon name configured for the Network Fax client software installed on the Network Fax server in the Logon Name field. The logon name must match the client software configuration exactly.

  6. Enter the password associated with the logon name in the Password field.

  7. In the Image Data Encoding section, select ASCII 85 to generate less data and improve performance.

  8. To correct for bad scan lines, select the Preprocess Images check box to preprocess FileNet and TIFF images.

  9. Select the Split Images check box to split fax images if you are faxing pages over 11.5" long. Faxed documents over 11.5" long must be split over multiple pages.

  10. Verify that Automatically Download Fonts is set to the Beginning of each job. This is the recommended setting for most Fax installations.

  11. Verify that the Send "Exitserver" Commands check box is cleared. This setting is not used for most Fax installations.

  12. Select the Center Image on Print check box to center each image on the page. Clear the check box to start printing each image in the upper left corner of the page.

  12. Use the Fax Orientation option to configure the orientation of outbound faxes on the printed page. Click the check box to activate the drop down list, then select the orientation in which to print fax transmissions. Select Default to use the orientation defined in the fax transmission header, Landscape to print landscape always, Portrait to print portrait always, or No Rotate to use the printer orientation.

  13. Use the Fax Scaling option to configure the scaling of fax images to fit on a page. Click this check box to activate the drop down list, then select the scaling option for fax transmissions. Select Normal to use the scaling defined in the fax transmission header, Clip Both to cut off the image width and height to fit a page if necessary, Exact to use the exact size of the image, Approximate to estimate necessary scaling, Original to use the original size of the image, or Center to center the image on the page.

  14. Click the Options... button to configure queue options. The system displays the Queue Options dialog box.

  15. Use the Print/Fax Destination radio buttons to determine the destination for the temporary printer-ready files generated as Print processes a fax request.

    • Select Printer/Fax Only to send the files only to the fax. After the job is processed, the files are deleted from the hard disk.

    • Select Disk Only to save the files on the print server's hard disk in the temporary files directory, without printing the associated images. This is useful for troubleshooting purposes. Do not use this option during normal operation, as it fills up the hard disk very quickly.

    • Select Printer/Fax and Disk to save the files and print the images. You can also select Retain Files in Print Administrator to set this option. Do not use this option during normal operation, as it fills up the hard disk very quickly.

  16. Select the Duplex Printing Available check box if your fax has a duplex unit installed. This enables the Always Print Duplex check box.

  17. Select the Always Print Duplex check box to print all jobs from this queue in duplex mode. This setting overrides any printer hardware setting that enables or disables duplex printing.

  18. Select the Use Alternate Orientation Mode check box if you want to print in the alternate orientation. See Use Alternate Orientation Mode for more information.

  19. In the Printer/Fax Timeout field, select the number of minutes, between 0 and 60, for Print to wait before aborting a job when the printer or fax has an error. If the value is 0, the system waits indefinitely.

  20. To configure more advanced options, click the Advanced... button to display the Advanced Options dialog box. See Advanced Options for more information.

  21. Click OK to save your settings and return to the Fax Printer dialog box.

  22. Click OK to save your settings and return to the Print Configuration dialog box.


Configure Image Preprocessing

Follow this procedure to preprocess FileNet and TIFF images and correct for potential bad scan lines.

  1. From the FileNet Print Configuration dialog box, select the print queue you want to configure from FileNet Queues to Configure list or the Current FileNet Queues list. Click the Configure button. The system displays the Printer Configuration dialog box.

  2. Select the Preprocess Images check box. Click OK.


Downloading Fonts

The HP LaserJet and generic PostScript Level 2 printers use fonts that are downloaded into printer memory. Fonts are cleared from the printer memory when you turn off the printer, and must be downloaded again each time the printer is restarted. Fonts can be downloaded automatically or manually.

You configure fonts for each printer queue and fax queue in the queue's configuration dialog.

Automatically Downloading Fonts

There are three options:

  • Never: fonts are never automatically loaded. You must manually download fonts if necessary.

  • Initialization Only: fonts in the Fonts to Download list box are downloaded when FileNet Print Administrator starts and initializes each queue configured on the print server.

  • Beginning of Each Job: fonts are automatically loaded at the beginning of each job if necessary. This option is useful if the printer is occasionally turned off for maintenance and thereby loses the fonts stored in printer memory. Note that while the fonts are being downloaded to an HP LaserJet printer, SNMP messages for the printer are not forwarded but message forwarding resumes after the downloading is complete.

You can also add or remove fonts from the list of fonts to be automatically downloaded. See Configure Fonts and Character Sets for more information.

Manually Downloading Fonts

If you select Never in the Automatically Download section of the Printer Configuration dialog box, or if the software fails to download fonts for some other reason, documents may print with an incorrect font, or an error page may print. You must then download fonts manually.

To download fonts manually, select in Print Administrator, select the appropriate Queue window, then select Download Fonts from the Tools menu. The system displays a dialog box with the message:

Now downloading the font file <font file name>

At the end of the download, the dialog box closes and the Font download complete message displays in the Queue window.

To cancel a download in progress, click the Cancel button.

Note about terminated Print Queues

If a print queue is terminated by the Print software and loses its connection to a printer, you must restart Print Administrator to restore the connection and to resume the font downloading process. A print queue may be terminated by a variety of conditions, including powering off the printer, network problems, etc.


Duplex Printing

Duplex printing is available if your printer has a duplex unit installed. To configure duplex printing:

  1. On the FileNet Print Configuration dialog box, select the queue you want to configure for duplex printing. Click Configure. The system displays the Printer Configuration dialog box for the queue you selected.

  2. On the Printer Configuration dialog box, click Options. The system displays the Queue Options dialog box.

  3. To enable the queue to receive a duplex print request, select the Duplex Available check box. You can specify duplex printing in a print request. This is the preferred method because you can turn duplex printing on or off with each print request.

  4. To configure the queue to print all jobs in duplex, select the Always Print Duplex check box. Print will include a command to print in duplex mode with every job it sends to the printer. This stays in effect until you disable Always Print Duplex

Note

On HP LaserJet printers, you can also enable or disable duplex printing from the printer control panel. However, the Always Print Duplex option overrides the control panel setting.

For example, if Always Print Duplex is off, all print jobs FileNet Print sends to the printer print simplex, even if duplex printing is enabled on the printer’s control panel. The control panel setting only affects non-FileNet Print jobs.


Using the Printer Wizard to Install a PPD File

Your printer may come with a PPD file that is specific to your printer model. the information in the PPD file is used by other software to determine what features and options are available for your printer. For example, if your printer supports three paper sources, the PPD file provides this information to programs such as FileNet Print, so that Print can allow configuration of the three sources.

FileNet Print includes a Printer Wizard utility to simplify installation of the PPD file. You must exit from Print Configuration to use the Printer Wizard.

To install a PPD file with the Printer Wizard:

  1. Exit from the Print Configuration program.

  2. From the Windows Start menu, select Programs/FileNet Print/Printer Wizard.

  3. Insert the CD or disk that contains the PPD file. Usually, this is the media provided with your printer by the printer manufacturer. Select the appropriate drive from the list box in the lower left-hand section of the Printer Wizard dialog box.

  4. In the same list box, navigate to the folder on the disk or CD where the PPD file is located. Often this file will be in a drivers folder, but it may appear elsewhere. You will not see the name of the file itself, but the name of the printer (or a list of printers) will appear in the Available Printers list box.

  5. Select your printer model from the Available Printers list, then click the Add button. The system displays a confirmation message.

  6. Click OK to clear the message.

  7. Repeat this process if you have additional printers to configure. Click Done when you are finished.


Using the FileNet Print Service Control

When you select FileNet Print from the Start Menu, you now select FileNet Print Service Control to start Print. The system displays the FileNet Print Service Control dialog box, and an icon in the Windows System Tray at the lower right corner of your screen.

Use the Print Service Control dialog box to start and stop the Print Service, to display and hide Print Administrator, and to access Print Configuration.

To Start the Print Service

Click the Start button. The system displays the message that the Print Service is running, and the System Tray displays the Print Service Started icon:

print service started icon

While the Print Service is running, you can click the Show/Hide Print Administrator button to display or hide the Print Administrator interface.

To Stop the Print Service

Click the Stop button. The system displays the message that the Print Service is not running, and the System Tray displays the Print Service Stopped icon:

print service stopped icon

To Hide the Print Service Control Dialog Box

Click the Hide button to hide the Print Service Control dialog box. When the dialog box is hidden, right click on the System Tray icon to display a Print Service Control menu.

To Start Print Configuration

If necessary, click the Stop button to stop the Print Service. The Print Service must be stopped before you can start Print Configuration. Click the Configure button to open Print Configuration.


Back Up Configuration Files

FileNet recommends that you make backup copies of your configuration data, so that you can easily restore your customized system in case of disk failure. Be sure to make a new backup following any major configuration changes.

There are two methods to back up configuration data:

  • If you have access to a tape drive, you can use the Windows Backup utility to back up the Registry. Refer to your Windows documentation for details.

  • You can use the Registry Editor to back up the FileNet configuration files in the Registry. In the Registry Editor, open the HKEY_LOCAL_MACHINE window. The path to the FileNet configuration files is HKEY_LOCAL_MACHINE\Software\|FileNet. Save the FileNet key with the Save Key function. For details on using the Registry Editor, see the Registry Editor online help. For information on invoking the Registry Editor, consult your Windows documentation.


Change the Default Image Services Server

Your print server will automatically log on to the IS server selected as the default IS server each time the Print Service starts.

Note

If the default IS server is not available, the Print Service will not be able to start.

To change the default IS server to another server in the same domain as the current default server, select the new server from the Default Image Services Name drop down list in the Print Configuration dialog box. Click the Set as Default Image Services button.

To change the default IS server to an IS server in a different domain, enter the IS server name in the list box in the Image Services Selection section of the Print Configuration dialog box. Use the following format:

domain:organization

The organization name defaults to FileNet if you do not specify it. Click the Set as Default Image Services button.

When you enter the IS server name, the print server establishes communication with the IS server and displays the names of the print queues defined for the print server on the IS server in the FileNet Queues to Configure box.

  • If the print server cannot locate the IS server, it displays the TCP Address of Image Services dialog box. Enter the TCP/IP address of the IS server in the TCP Address of Image Services field.

  • If no printers have been defined for the print server, the system displays an error message. Contact your IS server administrator to confirm that print queues have been set up for the print server before you continue.

The print server also determines the other IS servers in the same domain as the default IS server, and displays the names of these servers in the drop down list of the IS Selection list box. To display print queues on another IS server, enter or select the server from the list box.


Change the Printer Connectivity

Use this procedure to change the printer connectivity option to match your installation.

  1. On the FileNet Print Configuration dialog box, select or enter an IS server in the IS Selection list box. The print queues defined on the selected IS display in the FileNet Queues to Configure box; print queues that have been configured display in the Current FileNet Queues box.

  2. Select one of the queues from the list.

  3. Click the Configure button. The system displays the Printer Configuration dialog box. Some fields on the dialog box will vary, depending on the type of printer queue you selected.

  4. In the Printer Connectivity section, select the option that matches your installation. To change the settings for the option, click the Configure button:

  • For Windows Printer Queues, FileNet Print displays the Windows Printer Connectivity dialog box. This dialog box allows you to select or enter information for a printer that is configured through the operating system as a Windows printer.

  • For TCP Direct Port, the system displays the TCP Direct Connectivity dialog box. The current queue name or the currently-configured name displays in the Printer TCP Direct Port Name field. Select or enter another name if necessary. The IP address associated with this name appears in the Printer TCP Direct Port Address field. This address must match the IP address assigned to your printer. Click OK to save the configuration and return to the Print Configuration dialog box.

  • For Other/Parallel Port, the system displays the Other/Parallel Port Connectivity dialog box. Select the appropriate port from the Port Name drop down list, or, to route jobs from the print server to a printer attached to another print server on the network, enter a network path. Click OK. The system displays a confirmation message. Click OK to close the message box.


Change a Print Queue Configuration

To change an existing print queue:

  1. In the FileNet Print Configuration dialog box, select the queue you want to change from the Current FileNet Queues list. Click Configure. The system displays the Printer Configuration dialog box for the selected queue.

  2. Change the options for the queue as necessary. See Configure Print Queues for more information.

  3. Click OK to exit Print Configuration. The system displays a confirmation message that the queue was successfully changed.


Change the Printer Model

To change the printer model:

  1. Delete the existing queue. See Delete a Print Queue for more information.

  2. On the Image Services server, change the printer model to the new model type. See your IS documentation for more information.

  3. In Print Configuration, configure a new queue for the printer. See Add a Print Queue for more information.


Add a Print Queue

Before you add a new print queue to your existing FileNet Print configuration, you must define the queue on the Image Services server. See you IS documentation for more information. When the queue has been added to the IS server, it will appear in the FileNet Queues to Configure list on the FileNet Print Configuration dialog box.

  1. Select the queue name in the FileNet Queues to Configure list and click Configure. The system displays the Printer Configuration dialog box for the selected queue.

  2. Configure the options for the queue. See Configure Print Queues for more information.

  3. Click OK to exit Print Configuration. The system displays a message confirming that the queue has been configured.

  4. Start the Print Administrator program and print some test pages from the new print queue.


Delete a Print Queue

You may need to delete a print queue for one of the following reasons:

  • To make substantial changes to the queue configuration. Delete the queue to erase all current settings, then recreate the queue with new settings.

  • Because the queue has been deleted from the Image Services server.

To delete the queue on the print server:

  1. In the FileNet Print Configuration dialog box, select the queue you want to delete in the Current FileNet Queues list. Click Delete. The system displays a confirmation message.

  2. Click Yes to delete the queue. If the queue still exists on the IS, the queue name moves to the FileNet Queues to Configure list. See Add a Print Queue to create a new configuration for the queue. You must configure the queue to submit jobs to a printer.


IDM Desktop Print Options

The print server supports the following print request options for FileNet documents. For further information about using these options, refer to your IDM Desktop documentation.

  • Printer name

  • Printer-specific paper sizes

  • Don’t Care, Best Available paper size

  • Default paper size

  • Scaling (Exact Fit, or Original Size)

  • Default, Landscape, Portrait, and No Rotate orientation options

  • Number of copies

  • Annotations, margin notes, and highlights

  • Request headers

  • Document headers


Don't Care & Best Available Paper Sizes

The following paragraphs describe how the print server software processes print requests that specify Don’t Care and Best Available paper sizes.

Don’t Care Paper Size

For requests specifying Don’t Care paper size, the print server software first attempts to print to the previously-selected paper size (if possible), then defaults to the printer-specific default paper size or tray. The default size and tray are configured by using the Print Configuration program.

Best Available Paper Size

The print server software handles Best Available paper size requests differently based on the type of file you are printing.

  • If you are printing a text file (such as a header page) the print server always selects the printer’s default paper tray.

  • If you are printing an image file, the print server selects the currently configured paper size that best fits the image allowing for overscan. You can configure the overscan value on the PostScript Printer Configuration Media screen. The default value is five percent, which should suffice in most cases.

FileNet Print selects the best available paper size from the paper sizes that have been specified for the configured trays on the printer. The software does not, however, track whether the paper tray is full or empty; therefore, a job may be sent to a tray that is empty. Unless there is another tray loaded with the same size paper as the requested tray, a message will display on the printer control panel requesting you to load paper in the tray.

Note

When using the Best Available paper size option, select default orientation, otherwise the orientation may not be correct.

Do not use Best Available paper size with the Split Images option in the Printer Configuration dialog box. Text will be distorted.


Orientation

In addition to the rotation specified in a print request, the print server software may apply additional rotation to an image based on the settings of the image transformation items in the Advanced Queue Options dialog box. This feature is available on Ricoh print engines and Large Document printers only.

Note

When an embedded image is not placed at the page origin, its orientation is assumed to be portrait regardless of its true orientation. This typically happens with COLD or Forms documents.


Scaling

The job preferences screen in IDM Desktop allows you to select scaling options other than Original or Exact.

However, if you are submitting a print request using the FileNet Print menu option, and you do not select Original or Exact scaling, the print server software will convert your selection to Original or Exact. Refer to the IDM Desktop Online Help for more information on scaling options.

COLD Documents

FileNet Print uses original size scaling when the COLD background template is not located at the top left corner of the page. In such a case, if Exact Fit scaling is used the COLD background template may not align with the COLD document.

To correct this problem, do not use Exact Fit Scaling. Instead, use Original size scaling and specify a COLD Scale Factor in the Print Configuration Advanced Options dialog box.

Tip

Setting the COLD Scale Factor is a trial and error process. However, proper alignment can usually be attained by decreasing the COLD Scale Factor from the default (100%) value in 5% increments. Typically a 95% or 90% value will work.


Starting the Print Server

To ensure that the print server recognizes the printer during startup, always turn the printer on before starting the print server.

  1. Turn the print server on.

  2. Log on to Windows.

  3. For a fax server, start the third-party fax software.

  4. Start the Print Service.

Logging on to the FileNet System

Once the print server establishes a connection with an Image Services server, the print server software automatically logs on to the FileNet system. If the logon attempt fails, it retries continuously until logon is successful. You cannot perform a manual logon from a print server attached to an IS server.

If logon is successful, the Administrator window displays. The name of the IS server you are currently logged on to appears in the lower right corner of the window.

Note

To change the default IS server specification, see Change the Default Image Services Server.

If Logon Fails

Some of the common reasons for logon failure and possible solutions follow:

  • The FileNet system is down. You must wait until the system is up and running to log on.

  • There is no physical connection to the network. Check for a loose cable.

  • There is a problem with the network software.

  • There is a communication problem between the IS and the print server. See the Troubleshooting chapter of the FileNet Print Installation Guide for more information.


Shutting Down or Rebooting the Print Server

To perform some maintenance or troubleshooting procedures, you may need to reboot or shut down the print server. For example, you must reboot the server when installing a print server software upgrade.

  1. Stop the Print Service.

  2. Select Shut Down from the Program Manager's Start menu. The system displays the Shut Down Windows dialog box.

  3. Select Shut down to shut the print server down, or Restart to reboot. Click OK.

  4. The programs running at the time of shutdown might display shutdown verification dialog boxes. Click Yes in each box to continue to shut down the server.

If any errors occur as the print server reboots, the screen stops scrolling and an error message displays. Report any error messages to FileNet Customer Service & Support.


Annotations, Margin Notes, & Highlights

IDM Desktop and Image Services support annotations, margin notes, and highlights, created in the Display applications.

In FileNet Print, two options control printing annotations, margin notes, and highlights. In the General Options dialog box, the Enable Margin Notes and Highlights check box is selected and cannot be changed. The Suppress Annotations check box can be selected to disable printing annotations, margin notes and highlights on image pages. Annotation text will be printed on a following page. If the Suppress Annotations check box is not selected, annotations, margin notes and highlights will print on the image page.

Annotation Security

When a user tries to print a document with annotations, the print server software will determine if the user has the necessary read access to print each of the annotations on the document.

If the user has access, the annotations print as expected. If the user does not, an error message indicating that access was denied displays in the Print Administrator dialog box, providing that Verbose Mode is turned on. If Verbose Mode is turned off, no error message displays.

Additional Fonts

You can download special fonts in which to print annotations and unspecified text. See Configure Fonts and Character Sets for more information.


"Unable to retrieve annotations" error

If you change the default Image Server without restarting the Print Server Control, you will receive this error message.


Errors when printing annotated documents

You cannot print a document to a FileNet printer if any page of the document has more than 78 annotations.


Improving performance

There are a number of different factors that can effect printing speed and performance. These include the following:

  • Network environments potentially slow the performance of the printer especially when there is high traffic on the network.

  • Type of IS server being used.

  • The amount of memory installed on the printer. Most printers will require 24MB to 48MB or more depending on printer model, document file size, and print load for best throughput.

  • PC hardware being used.

  • Using the "Pre-Process Image" option will reduce the print performance, especially when the images have to be rotated by the printer.

  • Rotation of the image compared to the orientation in which the image was stored. When rotation at print time is necessary the throughput is reduced.


Slow printing with Kanji fonts

Print performance may be slow if you are printing documents that use Kanji fonts and you have selected the option to Download fonts at the beginning of each job. Try using the Download Fonts at Initialization instead. See Configure Print Queues for details.


Default Character Set

FileNet Print supports the following default character sets:

FileNet International

Use this character set for printing text documents created on a system running any FDOS (2.6.e.x and earlier) release; these text documents are not self-describing. Documents created on an FDOS system require the FileNet Intl character set to print correctly.

FileNet Intl is the default selection for systems that aren't configured for printing with international fonts.

ISO 8859-1

Select ISO 8859-1 for printing text documents created with the ISO 8859-1 (Latin I) character set.

ISO 8859-5

The ISO 8859-5 character set is available only if you installed Cyrillic (Russian) fonts from the FileNet Print Cyrillic Font disk. During initial configuration, ISO 8859-5 is automatically selected as the default character set if Cyrillic fonts are installed. While you can change the default character set selection, note that documents created with the Cyrillic character set require the ISO 8859-5 character set to print correctly.

ISO 8859-7

The ISO 8859-7 character set is available only if you installed Greek fonts from the FileNet Print Greek Font disks. During initial configuration, ISO 8859-7 is automatically selected as the default character set if Greek fonts are installed. While you can change the default character set selection, note that documents created with the Greek character set require the ISO 8859-7 character set to print correctly.

Shift-JIS

The Shift-JIS character set is available only if you installed Kanji fonts from the FileNet Print Kanji Font disks. During initial configuration, Shift-JIS is automatically selected as the default character set if Kanji fonts are installed. While you can change the default character set selection, note that documents created with the Kanji character set require the Shift-JIS character set to print correctly.

HP Roman8

The HP Roman8 character set is available only if the print server is configured on an HP 3000 system. Text documents created on an HP 3000 system require the HP Roman8 character set to print correctly.


Import Configuration Settings from an Existing Queue

If you are configuring a queue for the first time, and an existing queue on the print server has the same printer model, the system displays the New FileNet Queue dialog box. You have the option of importing configurations settings from an existing queue.

The name of the queue you want to configure appears in the FileNet Queue Name field.

To configure the queue from default settings, click Create. The system displays the Printer Configuration dialog box without importing any configuration settings.

To return to the FileNet Print Configuration dialog box without configuring the print queue, click Cancel.

To import settings, click Import. The system displays the Import FileNet Queue dialog box.

  1. In the From list box, select the queue from which to import settings. Click OK to import the settings, or Cancel to return to the New FileNet Queue dialog box without importing the settings.

  2. When you click OK, the system displays a warning message. Click Yes to import the settings, or No to close the message box without importing the settings.

  3. When you click Yes, the system displays a confirmation message. Click OK to return to the Print Configuration dialog box. The queue now appears in the Current FileNet Queues box. The only differences between the existing queue and the new queue configurations are the queue names and descriptions.

  4. You may have to make adjustments to the printer connectivity options. Select the queue again and click Configure to display the Printer Configuration dialog box.


Advanced Options

Use this dialog box to configure advanced options for print queues. When you click the Advanced button on the FileNet Print Configuration dialog box, this dialog box is labeled General Advanced Options, and the fields displayed will apply to all print queues. When you select a queue to configure, then click the Advanced button on the Queue Options dialog box, this dialog displays the queue name, and the fields displayed will apply to the selected queue only.

FileNet Queue Name

The field appears only if you selected a queue to configure, and displays the name of the selected queue.

Override General Advanced Options for the Current Queue

This check box appears only if you selected a queue to configure. Click this check box to override any general advanced options, that apply to all queues, with the settings made in this dialog box. Overrides will apply to the selected queue only.

Scale All COLD Documents by this Percentage

If a COLD background template is not located with the document, scaling may be necessary to fit the image on the page. Select a percentage between 25 and 200 by which to scale COLD and PC Forms documents with no original size scaling. This setting overrides user-requested scaling unless it is set to 100%, and the COLD background template is available.

Note

This setting may affect the alignment of template images. You may have to readjust the setting. For more information, contact FileNet Customer Service & Support.

Always Use Print Request Scaling Value for PC Forms

Select this check box to always use the user-requested scaling value to fit a PC Forms document on a printed page. Typically, FileNet Print prints PC forms in their original size. If you request scaling for a given PC form and it doesn't print in the correct size, you may need to use this option.

Note

This setting overrides the Scale all COLD Documents by this Percentage setting for PC Forms.

Use Display Transform Parameter when Rotating FileNet Tiled Images

FileNet tiled image headers may contain a variable indicating the difference between the stored orientation of the image and the orientation in which it should be displayed and printed. For example, images may be scanned in landscape orientation, but displayed and printed in portrait orientation.

Select this check box to use this display transform parameter when printing FileNet tiled images.

Note

It is unnecessary to enable this feature for most printing situations. Rotation may also be specified in the print request and in field below, and these rotations will be applied to the image in addition to the display transform parameter if this check box is selected.

Rotate All Documents with Additional 180 Degrees

Select this check box to rotate all images 180 degrees before printing. When the image and the paper are in opposite orientations, Print rotates the images +90 degrees rather than the usual -90 degrees.

Note

It is unnecessary to enable this feature for most printing situations. Rotation may also be specified in the print request and in the field above, and these rotations will be applied to the image in addition to the 180 degrees if this check box is selected.

Printer Status Notification

Print can forward error messages generated by HP LaserJet printers to other network users. This feature is available only for HP LaserJet printers connected to the network via the HP JetDirect interface, and the SNMP protocol must be installed and configured on the print server. See the FileNet Print Installation Guide for more information.

Send Status Messages to the Following Network Computer Names

Click this check box to forward printer messages to another workstation. Enter the applicable network computer names or IP addresses in the field below it. The names must be typed with no spaces and separated by semicolons.

Click OK to save your settings and return to the previous dialog box. Click Cancel to return to the previous dialog box without saving your settings.


Fax Printer Configuration

Use this dialog box to map a selected Image Services fax queue to a specific Network Fax server. A Network Fax server is a FileNet Print server on which you have installed third party and FileNet Outbound Fax software.

FileNet Queue Name

This field displays the name of the fax queue selected in the Print Configuration dialog box.

Network Fax Server

Server Name

Enter or select the name of the Network Fax server that will service the FileNet Queue. This is the computer name assigned to the print server with FileNet Outbound Fax installed. You can enter multiple Network Fax server names in this field, which allows you to remap the fax queue to a different Network Fax server if necessary by selecting a different name.

To delete a Network Fax server from the list, select the server and click the Delete button.

Server Type

Select the type of third-party fax software installed on the Network Fax server specified in the Server Name field.

Logon Name

Enter the logon name configured for the Network Fax client software installed on the Network Fax server. The logon name must match the client software configuration exactly.

Password

Enter the password associated with the logon name.

PostScript

Image Data Encoding

Use these radio buttons to select the format in which to send PostScript jobs to the printer. Raw Binary is not available for fax queues. Select ASCII Hex to simplify editing and copying of temporary files if you have enabled the Retain Files function in Print Administrator. ASCII Hex takes longer than Raw Binary or ASCII 85 transmissions, so is recommended only for troubleshooting. Select ASCII 85 to generate less data and improve performance.

Preprocess Images

Select this check box to correct potential bad scan lines by preprocessing FileNet and TIFF images.

Split Images

Faxed documents over 11.5" long must be split over multiple pages. Select this check box to split fax images if you are faxing pages over 11.5" long.

Note

Do not use Best Available paper size with the Split Images option. Text will be distorted.

Automatically Download Fonts

Select the appropriate option for automatically downloading fonts:

  • Never: fonts are never automatically loaded. You must manually download fonts if necessary.

  • Initialization Only: fonts in the Fonts to Download list box are downloaded when Print Administrator starts and initializes each queue configured on the print server.

  • Beginning of Each Job: fonts are automatically loaded at the beginning of each job if necessary. This setting is recommended for most Fax configurations.

Send "Exitserver" Commands

This check box defaults to unchecked for most Fax configurations.

Center Image on Print

Select this check box to center each image on the page. Clear the check box to start printing each image in the upper left corner of the page.

Fax Orientation

Use this option to configure the orientation of outbound faxes on the printed page. Select this check box to activate the drop down list, then select the orientation in which to print fax transmissions. Select Default to use the orientation defined in the fax transmission header, Landscape to print landscape always, Portrait to print portrait always, or No Rotate to use the printer orientation.

Fax Scaling

Use this option to configure the scaling of fax images to fit on a page. Select this check box to activate the drop down list, then select the scaling option for fax transmissions. Select Normal to use the scaling defined in the fax transmission header, Clip Both to cut off the image width and height to fit a page if necessary, Exact to use the exact size of the image, Approximate to estimate necessary scaling, Original to use the original size of the image, or Center to center the image on the page.

To configure queue options, click the Options... button to display the Queue Options dialog box.

Click OK to save your settings and return to the previous dialog box. Click Cancel to return to the previous dialog box without saving your settings.


Fax Server Manager

Use this dialog box to add a new fax server or configure the options for an existing one.

Note

If you are using a third-party fax package, refer to the manufacturer's documentation for specific configuration instructions for their product.

Note that some fax server vendors will automatically add and configure the fax server during installation. If your fax vendor automatically adds and integrates the server with FileNet Print, then you do not need to do any additional steps unless you want to change the configuration.

Manually Adding a Fax Server

Click the Add button to add a new fax server. This creates a new set of options which you must configure before you can use the fax server. To display the available option, select the name of the fax server from the list, then click the "+" symbol to expand the list of options. Refer to the next section to configure the options

Configuring the Fax Server Options

To select or change the setting for an option, expand the list of options to display the current settings. Select the option you want to change from the tree. The name of the option and the setting are displayed below the list of fax servers. For text-entry fields, type the new value in the field provided. For entries that require a path name, use the Browse button to navigate to the file or folder.

Your changes are saved when you either select another option to edit, or you click outside the field.

The following options can be configured for a fax server:

Display Name: The name used to identify the fax server in other dialog boxes.

Vendor Name: A string that identifies the third-party vendor.

Font Location: Fully-qualified path to the directory location (folder) where the fax server vendor fonts reside.

Interface Module: Fully-qualified path to the directory location (folder) where the fax server's binary module (.DLL file) resides.


FileNet Print Configuration

Use this dialog box to define the default image server and configure the printer queues used by your print server.

Note

Print Configuration opens from Print Administrator in read-only mode. To make configuration changes, you must close Print Administrator.

Image Services Selection

Enter or select the name of the IS server you want to work with in the list box. Use the following format:

domain:organization

The organization name defaults to FileNet if you do not specify it. The first IS server name you enter becomes the default IS name automatically, and appears above the list box in the Default Image Services Name field.

Note

If the default IS server is not available, the Print Administrator will not be able to load.

When you enter the IS server name, the print server establishes communication with the IS server. It displays the names of unconfigured print queues defined for the print server on the IS server in the FileNet Queues to Configure box, and the names of configured print queues in the Current FileNet Queues box.

  • If the print server cannot locate the IS server, it displays the TCP Address of IS dialog box. Enter the TCP/IP address of the IS server in the TCP Address of IS field.

  • If no printers have been defined for the print server, the system displays an error message. Contact your IS server administrator to confirm that print queues have been set up for the print server before you continue.

The print server also determines the other IS servers in the same domain as the default IS server, and displays the names of these servers in the drop down list of the Image Services Selection list box. To display print queues on another IS server, select the server from the list box. To make the server the default server, click the Set as Default Image Services button.

To configure fonts and character sets for all queues, click Fonts.... The system displays the Fonts and Character Sets dialog box.

To configure additional options for all queues, click Options.... The system displays the General Options dialog box.

Print Queue Configuration

FileNet Queues to Configure displays the names of unconfigured print queues defined for the print server on the selected IS server.

Current FileNet Queues displays the names of configured print queues defined for the print server on the selected IS server.

To configure a print queue, or to change an existing configuration, select a print queue in one of the lists and click Configure.

If you are configuring a queue for the first time, and an existing queue on the print server has the same printer model, the system displays the New FileNet Queue dialog box. You have the option of importing configuration settings from an existing queue.

The system displays the Printer Configuration dialog box. Some fields on the dialog box will vary, depending on the type of printer queue you selected.

To delete an existing configuration, select a print queue from the Current FileNet Queues list and click Delete. The system deletes the configuration and moves the queue to the FileNet Queues to Configure list.

Printer Model

Select or change the printer model associated with the selected print queue. The printer model must be the same as the one selected for the queue in Image Services configuration.

Description

Enter an optional description of the selected print queue that will help uniquely identify the specific queue and printer.

Click OK to save your changes and close Print Configuration. Click Cancel to close Print Configuration without saving your changes.


Fonts and Character Sets

Use this dialog box to configure the default character set, any international fonts, and PostScript printer fonts used by your system.

Character Sets

FileNet Print uses the default character set to print text documents that do not specify a character set.

Default Character Set

Select the default character set you want to use from the drop down list. For a description of the available character sets, see Default Character Sets.

Always Use Default Character Set

Click this check box to use the default character sets for all documents.

Default Pcode Font

Use these controls to configure the international fonts installed on your system.

Font Name

If you have Kanji fonts installed and Shift-JIS selected in the Default Character Set field, select default, Mincho or Gothic as the default font. In all other cases, this field is set to default.

Point Size

If you have Kanji fonts installed and Shift-JIS selected in the Default Character Set field, select the default point size, between 5 and 30, at which text documents will print.

To map a Pcode font to a PostScript font, click the Map Pcode Fonts... button. The system displays the Pcode Font Mappings dialog box.

PostScript Printer Fonts

Use these controls for HP LaserJet and Generic PostScript Level 2 printers.

Font Directory

The location of the PostScript fonts listed in the Fonts to Download and Additional Fonts list boxes. The default location is \FNSW_LOC\fonts.

Fonts to Download

This list box displays the fonts available to be downloaded from the font directory. To remove fonts from this list, select the font you want to remove and click Remove. The font moves to the Additional Fonts list. To add fonts to this list, from the Additional Fonts list, select the font you want to add and click Add.

Additional Fonts

This list box displays fonts in the font directory that are not currently selected for downloading. To make a font available for download, select the font and click Add. The font moves to the Fonts to Download list.

To install additional fonts in the font directory, click the Install Fonts... button. The system displays the Install PostScript Fonts dialog box. Select the folder containing the fonts you want to install, and the fonts in the folder display in the List of Fonts list box. To install a font, select the font and click Add. The font moves to the Installed Fonts list box.

Note

You can only install one font at a time.

To remove a font, select the font in the Installed Fonts list and click Remove. When you have finished installing fonts, click Done to return to the Fonts and Character Sets dialog box.

Mapped Fonts

This list box displays the list of printer fonts that have been mapped to screen fonts.

To map a PostScript printer font to a TrueType screen font, click the PS Font Mappings button. The system displays the PostScript Font Mapping dialog box.

Click OK to save your settings and return to the previous dialog box. Click Cancel to return to the previous dialog box without saving your settings.


General Options

Use this dialog box to configure general print server options.

File Location

This section configures the location of important FileNet Print files. Two of these locations, for the Executable File Root Directory and the Data File Root Directory, are designated during installation cannot be changed.

Primary Cache

FileNet Print stores documents it has retrieved in the primary cache. This field defaults to

<Data File Root Directory>\tmp

If you change this location, FileNet recommends locating the primary cache directory and the temporary files directory on the same drive. For best performance results, use the print server's fastest drive.

Temporary Files

FileNet Print places the temporary, printer-ready files it generates while processing a print request in the temporary files directory. This field defaults to

<Data File Root Directory>\tmp

If you change this location, FileNet recommends locating the primary cache directory and the temporary files directory on the same drive. For best performance results, use the print server's fastest drive.

Maximum Allowed Pages Per FileNet Queue

Select the number of pages, between 1 and 20, that each queue will be able to hold. This is also the maximum number of documents Print can pre-fetch from the FileNet system. When the queue reaches this number, Print ceases retrieval until there is room in the queue.

Note

This value must match the Maximum Number of Pages Queued parameter in Image Services. If the IS value is greater, you may encounter performance problems.

Date/Time Format

Select the format Print will use to print the date and time on a Request Header page.

Note

Local time is based on the print server computer time.

Verbose Mode on Startup

Click this check box to display Verbose messages in the PSM Listener and all Queue windows whenever Print Administrator starts. Verbose Mode displays greater detailed versions of standard messages, including diagnostic information that FileNet Customer Service and Support can use for problem analysis. Generally, you should use Verbose Mode only when troubleshooting a problem, as it increases I/O activity on the print server and impacts system performance.

Note

This setting cannot be disabled by disabling Verbose Mode in Print Administrator. You must change this field in Print Configuration.

Verify Image Checksum

Select this check box to checksum image documents after retrieval, in order to detect corrupted images before attempting to print them. When this field is enabled, Print compares the image checksum generated at print time to the checksum generated when the image entered the FileNet system. If the checksums don't match, Print logs the error and attempts to print the image.

This feature affects system performance, depending on the number of printers supported and the speed of the print server.

Suppress Annotations

Select this check box to suppress printing of all IDM Desktop annotations (including margin notes, highlights and icons) on image pages. Annotation text will print on the following page.

Enable Margin Notes and Highlights

This option is automatically enabled and cannot be changed. The Suppress Annotations option controls whether margin notes and highlights print on image pages.

Applicable to All Fax Queues: Delimiter for User-Defined Key in Message Text

In IDM Desktop, you can define a user key to record the user id of inbound and outbound fax requests in the journal log. The user key must be separated from fax headline message data by a delimiter. This field defaults to the % character, but if you cannot use it, enter another printable keyboard character in this field.

To configure more advanced options, click the Advanced... button to display the Advanced Options dialog box.

Click OK to save your settings and return to the previous dialog box. Click Cancel to return to the previous dialog box without saving your settings.


Import FileNet Queue

Use this dialog box to specify an existing queue from which to copy the configuration settings for the initial settings of a new queue.

In the From list box, select the name of the existing queue. The name of the new queue is displayed in the To field.

Click OK to copy the settings. The system displays a warning message. Click Yes to copy the settings, or No to close the message box without copying the settings.

Click Cancel to return to the New FileNet Queue dialog box without copying the settings.


New FileNet Queue

If you are configuring a queue for the first time, and an existing queue on the print server has the same printer model, the system displays the New FileNet Queue dialog box. You can use this dialog box to base the initial configuration of a print queue on the configuration of an existing queue.

The name of the queue you want to configure appears in the FileNet Queue Name field.

Click Create to display the Printer Configuration dialog box without importing any configuration settings.

Click Import to display the Import FileNet Queue dialog box.

Click Cancel to return to the Print Configuration dialog box without configuring the print queue.


New TCP Direct Port Name

This message box appears when you configure a TCP direct port with a name that does not exist in the system.

Click Yes to add the new port name and its associated IP address to the system, or click No to return to the TCP Direct Connectivity dialog box without adding the new name.


Other/Parallel Port Connectivity

Use this dialog box to specify the destination for print jobs submitted to the queue you're configuring.

Port Name

This drop down list displays all the print server's installed LPT and COM ports. Select a port name from the list or, to route jobs from the print server to a printer attached to another print server on the network, enter a network path.

Click OK to configure the port name, or Cancel to return to the Printer Configuration dialog box without changing the port.


Paper Media

Use this dialog box to configure printer input paper tray and eject tray settings.

Note

For some printers, FileNet Print only supports the default paper tray. (The default tray can generally be selected on the printer itself.) Print does not send specific tray selection information to the printer and selections made on this dialog box will not affect the job destination.

FileNet Queue Name

The name of the selected queue. These settings will apply to this queue only.

Paper Tray Configuration

This section contains settings for three input paper trays. You can enable settings for any tray by clicking the associated Available check box. To avoid unexpected results, configure only trays that are actually available on the selected printer.

Note

On an HP LaserJet printer, do not count the multi-purpose tray. Print does not use this tray.

Top Tray Available

Click this check box to permit printing from the top or only tray.

Priority

Print uses input trays with identical paper specifications in order of priority, with 1 the highest. Select the priority number for the top tray. If only one tray is available, this selection defaults to 1 and cannot be changed.

Paper Size

Select the size of the paper loaded in the top tray. If this field does not match the size of the paper, the printed image may not be scaled correctly on the page.

Bottom Tray Available

Click this check box to permit printing from the bottom tray, or the middle of three trays.

Priority

Print uses input trays with identical paper specifications in order of priority, with 1 the highest. Select the priority number for the bottom or middle tray. Priority 3 is enabled only if three trays are available.

Paper Size

Select the size of the paper loaded in the bottom or middle tray. If this field does not match the size of the paper, the printed image may not be scaled correctly on the page.

Third Tray Available

Click this check box to permit printing from the third tray.

Priority

Print uses input trays with identical paper specifications in order of priority, with 1 the highest. Select the priority number for the third tray. Priority 3 is enabled only if three trays are available.

Paper Size

Select the size of the paper loaded in the third tray. If this field does not match the size of the paper, the printed image may not be scaled correctly on the page.

FileNet Job Default Tray

Select the paper tray to use when a print request specifies Default paper size. If you select a tray that is not available, the system displays an error message.

Best Available Overscan

Scanned images often contain extra pixels in width and length that do not record any part of the image; these are called overscan. When a print request specifies Best Available paper size, overscan pixels may cause Print to select a larger paper size than necessary. Use this field to select the likely percentage, between 0 and 10%, of overscan amount to avoid selecting the wrong paper size. You need not change the default value unless the printer produces undesirable results using the Best Available paper size.

Click OK to save your settings and return to the previous dialog box. Click Cancel to return to the previous dialog box without saving your settings.


PCode Font Mappings

Use this dialog box to map Pcode fonts to PostScript fonts for printing. These settings override the default mappings.

Map-Pcodes-to-PostScript

Pcodes Font

Select or enter the name of the Pcode font you want to map to a PostScript font.

PostScript Font

Select or enter the name of the PostScript font you want to map to the selected Pcode font.

Pcodes Font Attributes

Point Size

Enter the point size, between 500 and 1500, you want to use for the Pcode font.

Note

Point size is measured in hundreds, i.e., 500 = 5.0 points.

Base Line

Enter the distance, between 10 and 100 pixel lines, between text lines for the Pcode font.

Height

Enter the height of the Pcode font characters, including ascenders and descenders, in pixel lines.

PostScript Font Attributes

NOTE

Change PostScript Font Attributes only if you are mapping to a newly installed PostScript font that is not generally recognized by FileNet Print. These attributes are normally set by default when new PostScript fonts are loaded.

Adobe Font Metrics (AFM) File

If the AFM file name is not listed, manually enter the file name. The AFM file must be located in the directory specified in the Font Directory field of the Fonts and Character Sets dialog box.

Encoding Vector

If the encoding vector is not listed, contact FileNet Customer Service & Support for assistance.

Prefix for Re-encoded Font File Name

If the file name is not listed, contact FileNet Customer Service & Support for assistance.

Click Close to save your settings and return to the previous dialog box.


PDF Options

Use this dialog box to enable use of a third-party PDF rendering toolkit and to specify the location of the associated DLL file. If you are not sure what to enter, refer to the documentation provided with the third-party package.

Enable PDF Toolkit

Use the checkbox to enable use of a third-party PDF rendering package. Clear the check box to disable PDF processing.

PDF Processor Location

Type the location of the third-party PDF rendering software or use the Browse button to navigate to the DLL file.


Windows Printer Connectivity

Use this dialog box to select a Windows print queue. FileNet Print routes all jobs submitted to the queue to the configured printer.

Windows Print Queue Name

The names of all Windows print queues defined in the Printer control appear in this drop-down list. To update the list, click Refresh. Select a queue from the list.

Maximum Number of Jobs Submitted

Select the maximum number of jobs to submit to the queue.

Click OK to configure the queue, or Cancel to return to the Printer Configuration dialog box without changing the configuration.


Printer Configuration

Use this dialog box to map a print queue to a specific printer attached to the print server.

FileNet Queue Name

This field displays the name of the queue selected in the FileNet Print Configuration dialog box.

Printer Connectivity

Use these radio button to define the connection between the print server and the printer. Select Windows Printer Queues for a printer defined in the Windows Printer control (configured via the operating system). Select TCP Direct Port to use TCP/IP routing. Select Other/Parallel Port to use an LPT or COM port.

To configure the connectivity selection, click the Configure button. The system displays the appropriate configuration dialog box.

PostScript

Image Data Encoding

Use these radio buttons to select the format in which to send PostScript jobs to the printer.

Select Raw Binary for the fastest transmission time. Raw Binary is not available for TCP Direct Port connectivity.

Select ASCII Hex to simplify editing and copying of temporary files if you have enabled the Retain Files function in Print Administrator. ASCII Hex takes longer than Raw Binary or ASCII 85. Therefore, it is recommended only for troubleshooting.

Select ASCII 85 to generate less data and improve performance.

Automatically Download Fonts

Select the appropriate option for automatically downloading fonts:

  • Never: fonts are never automatically loaded. You must manually download fonts if necessary.

  • Initialization Only: fonts in the Fonts to Download list box are downloaded when Print Administrator starts and initializes each queue configured on the print server.

  • Beginning of Each Job: fonts are automatically loaded at the beginning of each job if necessary. Printer performance will be affected. This option is useful if you are seeing undefined font errors and you are doing low volume printing, but is not recommended for general/high usage systems.

Send "Exitserver" Commands

This check box defaults to checked. Some Xerox printers (DP65) generate errors when trying to access the printers via the "exitserver" command, and in this case you must clear the check box. In all other cases, this check box must be selected, or the printer will fail.

Wait Timeout

Enter or select the number of seconds, between 0 and 1800, for the PostScript interpreter to wait for input once a job has started. The default is 0, which allows the interpreter to wait indefinitely without timeout. Verbose Mode, Logging, very large or dense images can cause long periods of time between the beginning of PostScript jobs and subsequent input. You may need to adjust this value to prevent excessive timeout errors.

Center Image on Print

Select this check box to center each image on the page. Clear the check box to start printing each image in the upper left corner of the page.

Preprocess Images

Select this check box to correct potential bad scan lines by preprocessing FileNet and TIFF images.

Split Images

Select this check box to split images over multiple pages if they are excessively long.

Note

Do not use Best Available paper size with the Split Images option. Text will be distorted.

To configure paper and paper tray options, click the Media... button to display the Paper Media dialog box.

To configure queue options, click the Options... button to display the Queue Options dialog box.

Click OK to save your settings and return to the previous dialog box. Click Cancel to return to the previous dialog box without saving your settings.


Queue Options

Use this dialog box to configure device output. Some fields are specific to certain printer models or FileNet Outbound Fax.

FileNet Queue Name

This field displays the name of the queue selected in the Print Configuration dialog box.

Print/Fax Destination

Use these radio buttons to determine the destination for the temporary printer-ready files generated as Print processes a print or fax request.

Select Printer/Fax Only to send the files only to the printer or fax. After the job is processed, the files are deleted from the hard disk.

Select Disk Only to save the files on the print server's hard disk in the temporary files directory, without printing the associated images. This is useful for troubleshooting purposes. Do not use this option during normal operation, as it fills up the hard disk very quickly.

Select Printer/Fax and Disk to save the files and print the images. You can also select Retain Files in Print Administrator to set this option. Do not use this option during normal operation, as it fills up the hard disk very quickly.

Duplex Printing

These check boxes are available only if Print supports duplex printing with the selected printer.

Duplex Printing Available

Select this check box if your printer has a duplex unit installed. This enables the Always Print Duplex check box.

Always Print Duplex

Select this check box to print all jobs from this queue in duplex mode. This setting overrides any printer hardware setting that enables or disables duplex printing.

Use Alternate Orientation Mode

This setting determines which of two available orientation modes (original and alternate) Print uses when laying out an image.

Generally, the orientation of a printed image is determined by the combination of these factors:

  • the orientation option specified in the print or fax request (portrait, landscape, default, or no rotation)

  • the stored orientation of the image

  • the paper feed direction (portrait or landscape)

  • the orientation mode (original or alternate)

The orientation mode determines how the printer interprets the orientation option specified in a print or fax request. For example, if you select landscape orientation in a print request, the orientation of the resulting printed image depends in part on whether original or alternate orientation mode is specified.

The difference between the original and alternate orientation modes is in how they process print or fax requests specifying portrait or landscape orientation. (The modes work identically when processing Default or No Rotate print requests.)

Printer/Fax Timeout

Select the number of minutes, between 0 and 60, for Print to wait before aborting a job when the printer or fax has an error. If the value is 0, the system waits indefinitely.

Advanced Options

To configure more options, click the Advanced... button to display the Advanced Options dialog box.

Click OK to save your settings and return to the previous dialog box. Click Cancel to return to the previous dialog box without saving your settings.


TCP Address of IS

TCP Address of Image Services

Use this dialog box to manually enter the TCP address of the selected IS server if the print server cannot locate the IS server.

TCP Address of IS

Enter the TCP address of the IS server. The TCP address is composed of four bytes ranging in value from 0 to 255, separated by decimal points.

Click OK to save the address and return to the Print Configuration dialog box, or click Cancel to return to the Print Configuration dialog box without changing the address.


TCP Direct Connectivity

Use this dialog box to select the TCP direct port name for the queue you want to configure. Print jobs submitted to the queue will travel through the network directly to the IP address defined for the direct port name.

Printer TCP Direct Port Name

The current queue name or the currently-configured name displays in this field. If necessary, you can select a name from the drop down list, or enter a new name.

If you enter a new name, a confirmation message displays. Click Yes to add the new name to the system, or No to return to the TCP Direct Connectivity dialog box without adding the new name.

Printer TCP Direct Port Address

The IP address associated with the printer TCP direct port name appears in this field. This address must match the IP address assigned to your printer. On most printers, you enter the IP address at the printer control panel; see your printer documentation for more information.

The IP address is composed of four bytes ranging in value from 0 to 255, separated by decimal points.

Printer Socket Number

This field is enabled for Generic PostScript Level 2 printers. Enter a value between 1 and 65535. For HP LaserJet printers, it must be set to 9100.

Click OK to save your configuration and return to the Printer Configuration dialog box. Click Cancel to return to the Printer Configuration dialog box without saving your entries.


Context-sensitive Help

Welcome: Welcome Documentation

Print Configuration includes context-sensitive Help for all dialog boxes in the system.

To display Help for one of the dialog boxes, press the Help button at the lower right corner of the dialog box, or press F1.


Documentation

Select a subject from this list:

What’s new in release 4.4

How to use online Help

About documentation

Context-sensitive Help

Where to find updates to Help

Other sources of information

If you have questions or comments

Notices

FileNet End User Software License Agreement


FileNet End User Software License Agreement

Welcome: Welcome Documentation

READ CAREFULLY BEFORE INSTALLING. IF YOU DO NOT AGREE WITH THESE TERMS AND CONDITIONS, OR THE TERMS AND CONDITIONS IN YOUR SOFTWARE LICENSE AGREEMENT WITH FILENET , DO NOT INSTALL THE SOFTWARE. BY INSTALLING THE SOFTWARE, YOU AGREE TO BE BOUND BY THE TERMS OF THIS LICENSE.

  1. Authorization of End User

A. Each Software product, including any documentation relating to or describing such Software, such as, but not limited to, logic manuals, flow charts and improvements or updates provided by FileNet (collectively called "Software"), is furnished to End User under a personal, non-exclusive, nontransferable license solely for End User's own internal use in compliance with this License and all applicable laws and regulations. End User agrees that this License does not permit End User to: (1) use the Software for a service bureau application or (2) transfer the Software without prior written consent from FileNet.

B. End User may make one copy of the Software, (with the proper inclusion of FileNet’s copyright notice and any other proprietary notice and/or trademarks on such Software), for End User’s own backup purposes however the End User may not otherwise copy or reproduce the Software except to install the Software on a single hard drive for use by End User in accordance with this License.

C. If End User is unable to operate the Software on the computer equipment due to an equipment malfunction; the Software may be transferred temporarily to other computer equipment during the period of equipment malfunction.

D. Title to and ownership of the Software and all of its parts (or any modifications, translations, or derivatives thereof, even if unauthorized) and all applicable rights in patents, copyrights and trade secrets in the Software shall remain exclusively with FileNet. Software provided hereunder is valuable, proprietary, and unique, and End User agrees to be bound by and observe the proprietary nature thereof as provided herein. End User agrees to take diligent action to fulfill its obligations hereunder by instruction or agreement with its employees or agents (whose confidentiality obligations shall survive termination of employment or agency) who are permitted access to the licensed Software. Access shall only be given on a need-to-know basis. Except as set forth herein or as may be permitted in writing by FileNet, End User shall not use, provide or otherwise make available the Software or any part or copies thereof to any third party. Unless prohibited by law, End User shall not reverse engineer, decompile or disassemble the Software or any portion thereof, nor otherwise attempt to create or derive the source code. End User acknowledges that unauthorized reproduction, use, or disclosure of the Software or any part thereof is likely to cause irreparable injury to FileNet, who shall therefore be entitled to injunctive relief to enforce these restrictions, in addition to any other remedies available at law or in equity.

E. FileNet agrees that affiliates of End User may use the Software; provided that prior to any affiliate’s use of the Software: (1) each affiliate shall sign and deliver to FileNet a mutually agreeable appendix to this License certifying its License to be bound by the terms herein; and (2) such use by such affiliate shall be subject to the following: (i) End User accepts responsibility for the acts or omissions of such affiliates as if they were End User’s acts or omissions; (ii) End User shall indemnify FileNet against losses or damages suffered by FileNet arising from breach of this License by any such affiliate as if effected by End User; and (iii) such use shall not constitute an unauthorized exportation of the Software or documentation under U.S. Government laws and regulations.

F. FileNet shall defend any action, suit or proceeding brought against End User so far as it is based on a claim that the use of any Software delivered hereunder constitutes an infringement of any patent, copyright or other intellectual property right, provided that FileNet is promptly notified by End User of the action and given full authority, information and assistance for the defense of the action. FileNet shall pay all damages and costs finally awarded against End User, but shall not be responsible for any compromise made without its consent. FileNet may at any time it is concerned over the possibility of such an infringement, at its option and expense, replace or modify the Software so that infringement will not exist, or request the End User to remove the Software involved and refund to End User an amount as established by FileNet.

G. FileNet shall have no liability to End User under any provisions of this Section, if any claim is based upon the use of the Software in combination with software not supplied by FileNet, or in a manner for which the Software was not designed, or if the claim of infringement would have been avoided but for End User’s use of Software other than the latest unmodified release made available to End User.

  2. Types of Software Licenses

A. For purposes of this License, the following definitions shall apply:

1. Server Software is a copy of Software residing on a server or multiple servers.

2. Clients are personal computers, minicomputers, mainframes, workstations and terminal devices that interact with Server Software.

3. Client Software is a copy of Software residing on a Client that interacts with Server Software.

B. End User agrees to license the Software as follows:

1. For Client Software - one copy of Client Software for each Client that accesses any Server Software.

2. For Server Software – one copy of Server Software for each base system. In addition Concurrent User Licenses in accordance with FileNet’s then-current version of the Concurrent User Guidelines which consist of concurrent Dedicated User, Shared User, and e-Business User Licenses. These Concurrent User Guidelines measure persons and programmatic operations that interact with the Server Software directly or indirectly from a Client.

  1. For Dedicated User Licenses – a copy of Client Software and a copy of Server Software where the ratio of licensed Clients to the number of concurrent Dedicated User Licenses on the Server is one to one (1:1).

  2. For Shared User Licenses- a copy of Client Software and a copy of Server Software where the ratio of licensed Clients to the number of concurrent Shared User Licenses on the Server does not exceed ten to one, (10:1).

  3. For eBusiness User Licenses –a copy of Client Software and a copy of Server Software where the ratio of licensed Clients to the number of concurrent eBusiness User Licenses on the Server does not exceed one hundred to one, (100:1).

C. In the event End User elects to access Server Software by the use of a gateway or concentrator multiplexing methodology, the number of Concurrent User Licenses, is determined by the maximum number of Clients in front of the multiplexer which have access to the Server Software at any given point in time. The then current version of FileNet’s Concurrent User Guidelines will be used to determine the number of required Concurrent User Licenses.

D. FileNet may audit the End User’s Software usage remotely or on-site during service calls or upon reasonable notice during standard business hours. The audit shall determine Software usage by server for the number of concurrent Dedicated, Shared and/or eBusiness User Licenses required for each server. Should an audit determine that Customer’s usage has exceeded the number of Concurrent User Licenses, or that End User’s deployment of Software on Clients exceeds the contracted ratio of Clients to Concurrent User Licenses, End User agrees to purchase additional licenses in compliance with this Software Schedule. For a server with a combination of concurrent Dedicated, Shared and/or eBusiness User Licenses, any use beyond the total aggregate number of all Concurrent User Licenses (including previously acquired SLU type licenses) will require additional Concurrent User Licenses to be purchased. The highest ratio Concurrent User License identified on the End User’s configuration and its applicable fee will be invoiced accordingly.

  3. Termination

Notwithstanding the foregoing, FileNet shall have the right to terminate End User's authorization to use the Software if End User fails to comply with the terms and conditions of the License. Upon notice of such termination, End User shall immediately destroy the Software and all portions and copies thereof and, if requested by FileNet, shall certify in writing as to the destruction of the same.

  4. Disclaimer and Limited Warranty

FileNet warrants the media on which the Software is furnished to be free from defects in materials and workmanship for a period of ninety (90) days from the date of purchase.

FileNet’s entire liability and End User’s exclusive remedy as to media shall be at FileNet’s option, either the return of the amount paid for the Software or replacement of the media that does not meet FileNet’s limited warranty and which is returned to FileNet with a copy of the receipt.

EXCEPT AS EXPRESSLY PROVIDED ABOVE, THE SOFTWARE AND DOCUMENTATION ARE PROVIDED "AS IS", FILENET DOES NOT MAKE ANY AND HEREBY DISCLAIMS ALL WARRANTIES OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.

The entire risk as to the quality, accuracy and performance of the Software and the Documentation is with End User. FileNet does not warrant that the functions contained in the Software will meet End User’s requirements or that the operation of the Software will be uninterrupted or error free.

FILENET SHALL NOT BE LIABLE UNDER ANY CONTRACT, NEGLIGENCE, STRICT LIABILITY OR OTHER LEGAL OR EQUITABLE THEORY FOR ANY INDIRECT, CONSEQUENTIAL OR INCIDENTAL DAMAGES (INCLUDING DAMAGES FROM LOSS OF BUSINESS PROFITS, BUSINESS INTERRUPTION, LOSS OF BUSINESS INFORMATION, PROCUREMENT OF SUBSTITUTE GOODS OR TECHNOLOGY, AND THE LIKE) ARISING OUT OF THIS LICENSE OR THE USE OF OR INABILITY TO USE THE SOFTWARE EVEN IF FILENET HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.

  5. Permitted Uses

This Software and the Documentation are licensed to you, the End User, and may not be transferred to or used by any third party for any length of time without the written consent of FileNet. You may not modify, adapt, translate, reverse engineer, decompile, disassemble, or create derivative works based on the Software or the written materials. Interface information necessary to achieve interoperability is available from FileNet on written request and payment of FileNet’s then current fee.

  6. Government Restricted Rights

The Software is commercial software and the Software and Documentation are provided with Restricted Rights. Use, duplication or disclosure by the Government is subject to restrictions as set forth in paragraph (c) (1) (ii) of the Rights in Technical Data and Computer Software Clause at DFARS 252.227-7013 or subparagraphs (c) (1) and (2) of the Commercial Computer Software Restricted Rights at 48 CRF 52.007-19, as applicable. Contractor/Manufacturer is FileNet Corporation, 3565 Harbor Blvd., Costa Mesa, California 92626.

  7. Export

Regardless of any disclosure made by the End User or licensee to FileNet of the ultimate destination of the Software, End User shall not export or re-export, whether directly or indirectly, the Software to anyone outside the United States of America without first obtaining an export license from the United States Department of Commerce or any other agency or department of the United States Government as required.

  8. Miscellaneous

This License is governed by the laws of California, without regard to its conflicts of laws, provisions, or the United Nations Convention on the International Sale of Goods and will be deemed a contract under seal. If any provision of this License shall be held by a court of competent jurisdiction to be contrary to law, that provision will be enforced to the maximum extent permissible, and the remaining provisions of this License will remain in full force and effect. This License is not assignable or transferable by End User without prior written consent of FileNet; any attempt to do so shall be void. Any notice, approval or consent required hereunder shall be in writing. The parties agree that a material breach of this License by End User would cause irreparable injury to FileNet for which monetary damages would not be an adequate remedy and that FileNet shall be entitled to equitable relief in addition to any other remedies it may have hereunder or at law, Section 4 shall survive any termination of this License.


If you have questions or comments

Welcome: Welcome Documentation

If you have questions or comments, you can contact the FileNet documentation group as follows:

Mail: FileNet Documentation, 3565 Harbor Blvd., Costa Mesa, CA 92626

Email: docs@filenet.com

We will make every effort to respond within one week. Your suggestions help us improve the products we deliver.


Where to find updates to Help

Welcome: Welcome Documentation

Visit the FileNet Web site at:

www.filenet.com

From the main page, select Worldwide Support, then click on the link to Documentation.

If you do not have an Internet connection, please contact us at FileNet.